
* {
    list-style-type: none;
    text-decoration: none;
}

:root {
    --color-1: #D72508;
    --color-2: #880909;
    --color-3: #ced4da;
    --color-4: #A7B3B1;
    --color-5:#6d7275;
    --color-white: #fff;

    --color-bg: #070111;
    --transition: all 400ms linear;
}



body {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    list-style-type: none;
    background-color: var(--color-bg);
    text-decoration: none;
    font-family: 'Noto Sans', sans-serif;
    position: relative;
    font-size: 1.6rem;
}


  /* NAVIGATION */

nav {
    width: 100%;

}
.nav-bar {
    width: 100%;
    height: 6rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    z-index: 1;
    background-color: transparent;
    position: absolute;
}



.brand{
    font-family: 'Russo One', sans-serif;
    font-size: 1rem;
    cursor: pointer;
}
.name1 {
    color: var(--color-1);

}

.name2 {
    color: var(--color-4);
    font-size: 1.1rem;
    margin-left: -.5rem;
}
nav ul {
    width: 65%;
    display: flex;
    justify-content: space-around;
    align-items: center;
}
nav ul a {
    color: var(--color-4);
    text-decoration: none;
    font-size: 1.1rem;
    font-family: 'Russo One', sans-serif;
    z-index: 1;
    transition: var(--transition);
}
nav ul a:hover {
    color: var(--color-1);
}
#home {
    text-decoration: underline wavy;
}

.open-bar, .close-bar {
    display: none;
}



video {
    width: 100%;
    /* position: relative; */
}

.btns {
    position: absolute;
    top: 500px;
    left: 50px;
    display: flex;
    gap: 7px;
}
.btns button {
    background-color: #070111;
    color: var(--color-white);
    font-size: 20px;
    border-radius: 50%;
    padding: 1rem;
    cursor: pointer;
}
.pause-btn {
    display: none;
}
.unmute-btn {
    display: none;
}

.btns button:hover {
    background-color: var(--color-3);
}


/* Opening this week SECTION */

.movies {
    width: 98%;
}
.movies h3 {
    color: var(--color-4);
    font-size: 20px;
    margin: 22px 3% 5px;
}
progress {
    margin: 20px 3% 10px;
    width: 92%;
    height: 3px;
}
progress[value] {
    -webkit-appearance: none;
    appearance: none;
    background-color: var(--color-2);
}

progress[value]::-webkit-progress-value {
    background-color: var(--color-2);
}

.movies .container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1.5rem;
    margin: 45px 3% 5px;
}

.set1 {
    margin-top: -1rem;
}

img {
    width: 220px;
    border-radius: 6px;
    margin-top: 0.4rem;
}

.text {
    color: var(--color-4);
}
.text p {
    color: var(--color-3);
    line-height: 12px;
    font-size: 60%;
    font-weight: lighter;
}

.more {
    text-align: end;
    font-size: 20px;
    font-weight: 0px;
}
.more a{
    color: red;
}



/* Coming soon SECTION */
.next-movies {
    width: 100%;
}
.next-movies h3 {
    color: var(--color-3);;
    font-size: 1.6rem;
    margin: 22px 3% 5px;
}

.next-movies .container {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 1.5rem;
    margin: 45px 3% 5px;
}

.set2 {
    margin-top: -1.2rem;
}


/* NEWS SECTION */
.news {
    width: 100%;
    margin-top: 5rem;

}

.news h3 {
    color: var(--color-3);
    text-align: center;
    font-size: 1.5rem;
}

.news .container {
    width: 97%;
    margin: 6rem 3%;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
}
.news-desc img {
    width: 300px;
}
.news-text {
    color: var(--color-3);
    width: 91%;
    font-size: 1rem;
    line-height: 1.5;
    text-align: justify;
}

/* FOOTER */

footer {
    margin-top: 4rem;
    font-family: 'Russo One', sans-serif;
}

.footer-one {
    width: 97%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 0px 3%;
    /* height: 6rem; */
}

.brand2 {
    font-size: 1rem;
    cursor: pointer;
}
.brand2 h2 {
    color: var(--color-1);
    font-size: 1.2rem;

}
.brand2b {
    color: var(--color-4);
    font-size: 1rem;
    margin-left: -.3rem;
}
.brand2b:hover {
    color: var(--color-1);
}

.ul1 {
    width: 50%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-left: 11%;
}
.ul1 a {
    color: var(--color-4);
    font-size: 1.3rem;
}
.ul1 a:hover {
    color: var(--color-1);
}

.ul2 {
    width: 25%;
    display: flex;
    align-items: center;
    gap: 4rem;
}
.ul2 i {
    color: var(--color-4);
}
.ul2 i:hover {
    color: var(--color-1);
}

.footer-two {
    margin-top: 4rem;
}
.footer-two p {
    color: var(--color-5);
    text-align: center;
    font-size: 1.3rem;
}






/* Media Queries */

@media screen and (max-width:1024px) {
    .nav-bar {
        height: 4rem;
    }
    nav {
        justify-content: space-between;
        align-items: center;
        place-items: center;
    }
    
    .brand{
        font-size: 0.6rem;
    }
    
    .name2 {
        font-size: 1.1rem;
    }
    /* nav ul {
        width: 60%;
    } */
    nav ul a {
        font-size: 0.9rem;
    }

    .btns {
        
        top: 280px;
        left: 50px;
        
    }
    .btns button {
        font-size: 18px;
    }



    .movies {
        width: 100%;
    }
    
    .movies .container {
        grid-template-columns: repeat(3, 1fr);
        margin: 35px auto;
        place-items: center;
        
    }
    .text {
        font-size: 1.6rem;
    }

    img {
        width: 250px;
    }


    

    .next-movies .container {
        grid-template-columns: repeat(3, 1fr);
        margin: 35px auto;
        place-items: center;
    }


    .news {
        width: 100%;
        margin-top: 5rem;
    
    }
    
    .news h3 {
        color: var(--color-3);
        text-align: center;
        font-size: 1.5rem;
    }
    
    .news .container {
        grid-template-columns: 1fr 1fr;
        margin: 65px auto;
        place-items: center;
    }
    .news-desc img {
        width: 320px;
        margin-top: 20px;
    }
    .news-text {
        font-size: 1.5rem;
        height: 15rem;
        width: 20rem;
        line-height: 2;
    }


    .footer-one {
        width: 100%;
        margin: 0px auto;
        flex-direction: column;
        gap: 0;
    }
    .brand2 {
        font-size: 1.5rem;
    }
    .brand2 h2 {
        font-size: 2rem;
    
    }
    .brand2b {
        font-size: 1.6rem;
        margin-left: -.6rem;
    }
    .ul1 {
        flex-direction: column;
        padding-left: 0%;
        width: 100%;
        justify-content: center;
        gap: 0.3rem;
        margin: -0.5rem auto -0.5rem;
    }
    .ul1 a {
        font-size: 1.8rem;
    }
    .ul2 {
        width: 100%;
        justify-content: center;
        gap: 2rem;
        margin-right: 40px;
    }
    .ul2 i {
        font-size: 40px;
        margin-top: 10px;
    }
    .footer-two {
        margin-top: 2rem;
    }
    .footer-two p {
        font-size: 1.8rem;
    }

    
    
    
    


    


    
    
    
}


@media screen and (max-width:768px) {
    nav ul a {
        font-size: 12px;
    }
    
    .btns button {
        font-size: 15px;
        padding: 0.5rem;
    }
    .btns {
        
        top: 200px;
        left: 30px;
        
    }

    .movies {
        width: 100%;
    }
    
    .movies .container {
        grid-template-columns: repeat(1, 1fr);
        
    }
    .text {
        text-align: center;
        font-size: 2.5rem;
    }

    img {
        width: 500px;
        margin-top: 2rem;
    }


    .next-movies .container {
        grid-template-columns: repeat(1, 1fr);
    }

    .news .container {
        grid-template-columns: 1fr ;
        margin: 65px auto;
        place-items: center;
    }
    .news-desc img {
        width: 450px;
        margin-top: 20px;
    }
    .news-text {
        font-size: 1.5rem;
        height: 15rem;
        width: 28rem;
        line-height: 2;
    }

}


@media screen and (max-width: 480px) {
    .nav-bar {
        height: 3rem;
        width: 90%;
        justify-content: space-between;
        margin:0 auto;

    }
    .brand {
        padding-left: 20px;
    }
    nav ul {
        height: 3rem;
        position: absolute;
        top: -1.5rem;
        left: 40%;
        flex-direction: column;
        display: none;
        /* width: 100%; */
        width: 40%;
        animation: animateNavItem 400ms linear forwards;
        transform-origin: top right;
        opacity: 0;
    }
    
    nav ul li {
        height: 20px;
        margin-top: 12px;
    }
    @keyframes animateNavItem {
        0% {
            transform: rotateZ(-90deg) rotateY(90deg) scale(0.1);
        }
        100% {
            transform: rotateZ(0);
            opacity: 1;
        }
    }
    nav ul a {
        font-size: 12px;
    }
    #home {
        text-decoration: underline ;
    }
    .btn {
        position: absolute;
        top: 7px;
        left: 89%;
    }
    
    .open-bar, .close-bar {
        background-color: transparent;
        border: none;
        font-size: 25px;
        cursor: pointer;
        display: inline-block;
    }
    .close-bar {
        display: none;
    }
    .fa-bars, .fa-x {
        color: var(--color-4);
        cursor: pointer;
    }

    .brand{
        font-size: 0.5rem;
    }
    
    .name2 {
        font-size: 0.5rem;
        margin-left: -.3rem;
    }
    
    .btns {
        
        top: 110px;
        left: 15px;
        
    }
    .btns button {
        font-size: 12px;
    }

    .movies .container {
        margin-top: 0px;
        
    }
    .movies h3 {
        font-size: 18px;
        margin: 15px 3% 0px;
    }

    progress {
        margin: 0px 3% 0px;
    }

    img {
        width: 350px;
    }

    .next-movies .container {
        margin-top: 30px;
    }

    .news-desc img {
        width: 330px;
        margin-top: 20px;
    }
    .news-text {
        font-size: 1.5rem;
        height: 15rem;
        width: 20rem;
        line-height: 2;
    }


    footer {
        margin-top: -2.5rem;
    }
    .brand2 {
        font-size: 1rem;
        margin-bottom: 0.5rem;
    }
    .brand2 h2 {
        font-size: 1.5rem;
    
    }
    .brand2b {
        font-size: 1.2rem;
        margin-left: -.5rem;
    }
    .ul1 a {
        font-size: 1rem;
    }
    .ul2 {
        gap: 1rem;
    }
    .ul2 i {
        font-size: 28px;
        margin-top: 10px;
    }

    .footer-two p {
        font-size: 1rem;
    }
}


@media screen and (max-width: 280px) {

    .btns {
        
        top: 80px;
        left: 20px;
        
    }
    .btns button {
        font-size: 10px;
    }
    img {
        width: 200px;
    }
    .text {
        text-align: center;
        font-size: 1.5rem;
    }
    .news-desc img {
        width: 250px;
        margin-top: 20px;
    }
    .news-text {
        font-size: 1.1rem;
        height: 10rem;
        width: 15rem;
        line-height: 1.7;
    }
    .footer-two p {
        font-size: 1rem;
    }
}


